Package org.codehaus.groovy.runtime

# Class ReverseListIterator<T>

java.lang.Object
org.codehaus.groovy.runtime.ReverseListIterator<T>

All Implemented Interfaces:
  `Iterator<T>`

public class ReverseListIterator<T> extends Object implements Iterator<T>
A reverse iterator over a list. Utilizes the `ListIterator` obtained from the provided `List` and converts it to an `Iterator` that efficiently traverses the `List` in reverse. The fail-fast semantics of this iterator are the same as the semantics of the underlying `ListIterator`.

Author:
  Mike Dillon

## Constructor Summary

Constructors
Constructor
Description
`ReverseListIterator(List<T> list)`
Constructs a new `ReverseListIterator` for the provided list.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`T`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### ReverseListIterator

public ReverseListIterator(List<T> list)
Constructs a new `ReverseListIterator` for the provided list.

Parameters:
  `list` - the list to iterate over in reverse

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

### next

public T next()

Specified by:
  `next` in interface `Iterator<T>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<T>`